Bug 97267 - gmtime() causing segv
Summary: gmtime() causing segv
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-12 13:05 UTC by Need Real Name
Modified: 2016-11-24 15:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 20:09:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-06-12 13:05:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030529

Description of problem:
/lib/tls/libc.so.6  __tz_convert() and/or gmtime() 

Port of a Unix (Solaris/HP program) which frequently calls gmtime() is
failing.  Verified that input values to function are correct.  Sample
stack trace:

Program received signal SIGSEGV, Segmentation fault.
0x400842e0 in _IO_new_file_underflow () from /lib/tls/libc.so.6
(gdb) up
#1  0x0829fab1 in __underflow ()
(gdb) up
#2  0x0829e319 in _IO_file_xsgetn ()
(gdb) up
#3  0x082a092d in _IO_sgetn ()
(gdb) up
#4  0x082d5175 in fread_unlocked ()
(gdb) up
#5  0x082a585b in __tzfile_read ()
(gdb) up
#6  0x082a4d19 in tzset_internal ()
(gdb) up
#7  0x082a47c3 in __tz_convert ()
(gdb
#8  0x082a4655 in gmtime ()



Version-Release number of selected component (if applicable):
/lib/tlis/libc.so.6

How reproducible:
Always

Steps to Reproduce:
1. Run StormTraX
2.
3.
    

Actual Results:  After a small number of incoming lightning strokes, segv from
gmtime()

Expected Results:  Program should continue to run, no segv

Additional info:

Comment 1 Jakub Jelinek 2003-06-17 16:06:00 UTC
Without a testcase there is nothing we can do about it.

Comment 2 Jakub Jelinek 2004-10-03 20:09:37 UTC
No testcase.  Closing.


Note You need to log in before you can comment on or make changes to this bug.